# SourcePath: alsa-utils/20180315dev
%define ver      1.1.5

Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Name: sony-target-dev-alsa-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-alsa-utils
Version: %ver
Release: 08020601
Source: ftp://ftp.alsa-project.org/pub/utils/alsa-utils-%{ver}.tar.bz2
Patch0: alsa-utils-%{ver}-alsaconf-scel.patch
License: GPL2
URL: http://www.alsa-project.org
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-alsa-lib

%description

Advanced Linux Sound Architecture (ALSA) - Utils

%package -n %{pkgname}
Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}

Advanced Linux Sound Architecture (ALSA) - Utils


%prep
%setup -n alsa-utils-%{version}

%patch0 -p1


%build
%sony_target_dev_setup
export ac_cv_prog_ncurses5_config=%{sony_target_dir}%{sony_target_devtool_bin_dir}/ncurses5_config
%sony_target_dev_configure --disable-xmlto --with-udev-rules-dir=%{sony_target_dev_lib_dir}/udev/rules.d  
make LDFLAGS="-L%{sony_target_dir}/lib -L%{sony_target_dir}/usr/lib"


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/alsa/init

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-, root, root)

%{sony_target_dir}%{sony_target_dev_sbin_dir}/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_data_dir}/alsa/speaker-test/*
%{sony_target_dir}%{sony_target_dev_data_dir}/sounds/alsa/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/udev/rules.d/90-alsa-restore.rules

%changelog
* Wed Nov 20 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Thu Mar 15 2018 Sony Corporation
- Updated to alsa-utils-1.1.5.

* Tue Feb 03 2015 Sony Corporation 
- Merging changes from CE Linux 8.2.1.X.

* Tue Apr 07 2009 Sony Corporation - dev-alsa-lib
- Initial build.
